require 'rails/generators'

module Saucy
  module Kiss
    class TestingGenerator < Rails::Generators::Base
      source_root File.expand_path("../templates", __FILE__)
      desc "Install a fake Kissmetrics ShamRack app into spec/support to avoid SSL verification errors."

      def install_fake_kissmetrics
        empty_directory 'spec/support'
        copy_file 'support/fake_kissmetrics.rb', 'spec/support/fake_kissmetrics.rb'
      end
    end
  end
end
