module Saucy
  module Kiss
    module ControllerFilters
      def identify_to_kissmetrics
        if signed_out?
          km.identify(nil)
        elsif current_account?
          km.identify("account-#{current_account.id}")
        end
      end

      def self.included(base)
        base.send(:hide_action, :identify_to_kissmetrics)
        base.send(:before_filter, :identify_to_kissmetrics)
      end
    end
  end
end
